Index: stable/HeuristicLab.Random/3.3/FastRandom.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/FastRandom.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/FastRandom.cs	(revision 17097)
@@ -2,5 +2,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -43,5 +43,5 @@
   ///   
   /// </summary>
-  [StorableClass]
+  [StorableType("BC86BFF3-80B5-4C77-9D8C-B29576032634")]
   public sealed class FastRandom : Item, IRandom {
     // The +1 ensures NextDouble doesn't generate 1.0
@@ -59,5 +59,5 @@
     /// <param name="deserializing">true, if the constructor is called during deserialization.</param>
     [StorableConstructor]
-    private FastRandom(bool deserializing) : base(deserializing) { }
+    private FastRandom(StorableConstructorFlag _) : base(_) { }
 
     /// <summary>
Index: stable/HeuristicLab.Random/3.3/GammaDistributedRandom.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/GammaDistributedRandom.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/GammaDistributedRandom.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("GammaDistributedRandom", "A pseudo random number generator for gamma distributed random numbers.")]
-  [StorableClass]
+  [StorableType("5DA8921C-5026-4B20-9F64-2C6EF0BF8B33")]
   public sealed class GammaDistributedRandom : Item, IRandom {
     [Storable]
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    private GammaDistributedRandom(bool deserializing) : base(deserializing) { }
+    private GammaDistributedRandom(StorableConstructorFlag _) : base(_) { }
 
     private GammaDistributedRandom(GammaDistributedRandom original, Cloner cloner) : base(original, cloner) {
Index: stable/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj
===================================================================
--- stable/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/HeuristicLab.Random-3.3.csproj	(revision 17097)
@@ -18,5 +18,5 @@
     <UpgradeBackupLocation>
     </UpgradeBackupLocation>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -108,4 +108,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -114,7 +120,11 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml" />
   </ItemGroup>
   <ItemGroup>
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="GammaDistributedRandom.cs" />
Index: stable/HeuristicLab.Random/3.3/ListExtensions.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/ListExtensions.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/ListExtensions.cs	(revision 17097)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Random/3.3/MersenneTwister.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/MersenneTwister.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/MersenneTwister.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -35,5 +35,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -42,5 +42,5 @@
   /// </summary>
   [Item("MersenneTwister", "A high-quality pseudo random number generator which creates uniformly distributed random numbers.")]
-  [StorableClass]
+  [StorableType("107BE400-46D0-4CD6-BE80-46F40B6AB148")]
   public sealed class MersenneTwister : Item, IRandom {
     private const int n = 624, m = 397;
@@ -59,5 +59,5 @@
     /// <param name="deserializing">true, if the constructor is called during deserialization.</param>
     [StorableConstructor]
-    private MersenneTwister(bool deserializing) : base(deserializing) { }
+    private MersenneTwister(StorableConstructorFlag _) : base(_) { }
     /// <summary>
     /// Initializes a new instance from an existing one (copy constructor).
Index: stable/HeuristicLab.Random/3.3/NormalDistributedRandom.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/NormalDistributedRandom.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/NormalDistributedRandom.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("NormalDistributedRandom", "A pseudo random number generator which uses the Ziggurat method to create normally distributed random numbers.")]
-  [StorableClass]
+  [StorableType("240F7050-C05B-4E85-82C3-2871FE2138B1")]
   public sealed class NormalDistributedRandom : Item, IRandom {
     [Storable]
@@ -454,5 +454,5 @@
     /// <param name="deserializing">true, if the constructor is called during deserialization.</param>
     [StorableConstructor]
-    private NormalDistributedRandom(bool deserializing) : base(deserializing) { }
+    private NormalDistributedRandom(StorableConstructorFlag _) : base(_) { }
 
     /// <summary>
Index: stable/HeuristicLab.Random/3.3/NormalRandomizer.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/NormalRandomizer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -31,5 +31,5 @@
   /// Normally distributed random number generator.
   /// </summary>
-  [StorableClass]
+  [StorableType("0EAF4184-6C98-4C9D-80A1-09A42E03450E")]
   [Item("NormalRandomizer", "Initializes the value of variable 'Value' to a random value normally distributed with parameters 'Mu' and 'Sigma'")]
   public class NormalRandomizer : SingleSuccessorOperator {
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    protected NormalRandomizer(bool deserializing) : base(deserializing) { }
+    protected NormalRandomizer(StorableConstructorFlag _) : base(_) { }
     protected NormalRandomizer(NormalRandomizer original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: stable/HeuristicLab.Random/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Random/3.3/Plugin.cs.frame	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Random/3.3/RandomCreator.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("RandomCreator", "An operator which creates a new Mersenne Twister pseudo random number generator.")]
-  [StorableClass]
+  [StorableType("78A995DA-CE6C-4693-A494-6ABBF1849CEB")]
   public sealed class RandomCreator : SingleSuccessorOperator {
     #region Parameter Properties
@@ -65,5 +65,5 @@
 
     [StorableConstructor]
-    private RandomCreator(bool deserializing) : base(deserializing) { }
+    private RandomCreator(StorableConstructorFlag _) : base(_) { }
     private RandomCreator(RandomCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomCreator()
Index: stable/HeuristicLab.Random/3.3/RandomEnumerable.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/RandomEnumerable.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/RandomEnumerable.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Random/3.3/RandomSeedGenerator.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/RandomSeedGenerator.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/RandomSeedGenerator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Random/3.3/UniformDistributedRandom.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/UniformDistributedRandom.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/UniformDistributedRandom.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("UniformDistributedRandom", "A pseudo random number generator to create uniform distributed random numbers.")]
-  [StorableClass]
+  [StorableType("01239E33-7AAD-467A-A95C-6D7E001F5827")]
   public sealed class UniformDistributedRandom : Item, IRandom {
     [Storable]
@@ -61,5 +61,5 @@
     /// <param name="deserializing">true, if the constructor is called during deserialization.</param>
     [StorableConstructor]
-    private UniformDistributedRandom(bool deserializing) : base(deserializing) { }
+    private UniformDistributedRandom(StorableConstructorFlag _) : base(_) { }
 
     /// <summary>
Index: stable/HeuristicLab.Random/3.3/UniformRandomizer.cs
===================================================================
--- stable/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 16835)
+++ stable/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Random {
@@ -31,5 +31,5 @@
   /// Uniformly distributed random number generator.
   /// </summary>
-  [StorableClass]
+  [StorableType("427A6E3A-EC49-4513-9773-768E78F583BF")]
   [Item("UniformRandomizer", "Initializes the value of variable 'Value' to a random value uniformly distributed between 'Min' and 'Max'")]
   public class UniformRandomizer : SingleSuccessorOperator {
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    protected UniformRandomizer(bool deserializing) : base(deserializing) { }
+    protected UniformRandomizer(StorableConstructorFlag _) : base(_) { }
     protected UniformRandomizer(UniformRandomizer original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: stable/HeuristicLab.Random/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Random/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Random/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
